Subject: bug#8268: Windows Emacs Console persists while running running emacs.exe.

From: "Jan D." <[email-masked]>
Date: Thu, 17 Mar 2011 08:19:13 +0100

Jason Rumney skrev 2011-03-17 07:31:
> On 17/03/2011 13:19, Nicholas "Indy" Ray wrote:
>
>> When I pin runemacs.exe to the taskbar and run it, it loads emacs
>> which creates another icon on my taskbar, It seems impossible to
>> currently have the same pin'd icon load up and run emacs under the
>> same icon without creating the console window.
>>
>> Ideally, I should be able to have one pinned icon on the taskbar, and
>> when clicking it it should load emacs without the console window. This
>> seems impossible.
>
> What version of Emacs are you using? runemacs, emacs and emacsclient
> should all be treated as the same program by Windows 7 taskbar since
> 23.2 if the MSDN documentation is correct. Perhaps you can help us to
> debug this if you are already using a more recent version.
>
>

Maybe this is what the original poster meant, it is what happens for me 
in Windows 7:

1. Start runemacs.exe.
2. Pin the emacs icon to the taskbar.
3. Exit emacs.
4. Start emacs by clicking on the newly pinned icon in the taskbar.

Result: You get a new emacs window but also a console window.
This is on 23.2 BTW.  Is there reason to think 23.3 or trunk behaves 
differently?

	Jan D.